getTestPlan
GET /test-plans/{id}
Operation ID: getTestPlan
Path & query parameters
| Name | In | Type | Required |
|---|---|---|---|
id |
path | string |
yes |
Response (200)
| Field | Type | Required |
|---|---|---|
id |
string |
yes |
title |
string |
yes |
targetUrl |
string |
yes |
environment |
||
| `"production" | "staging" | |
body |
string |
yes |
loginInstructions |
string |
null · nullable |
constraints |
string |
null · nullable |
acceptanceCriteria |
string |
null · nullable |
tags |
string[] |
no |
version |
integer |
yes |
lastReview |
object |
no |
createdAt |
string (ISO 8601) |
yes |
updatedAt |
string (ISO 8601) |
yes |
Example request
curl https://api.qacrow.com/api/test-plans/{id} \
-H "Authorization: Bearer qac_live_..."